Table of Contents

## Name

XSetFont - GC convenience routines

## Syntax

int XSetFont(Display *display, GC gc, Font font);

## Arguments

display
  Specifies the connection to the X server.
font
  Specifies the font.
gc
  Specifies the GC.

## Description

The XSetFont function sets the current font in the specified GC.

XSetFont can generate BadAlloc, BadFont, and BadGC errors.

## Diagnostics

BadAlloc
  The server failed to allocate the requested resource or server memory.
BadFont
  A value for a Font or GContext argument does not name a defined Font.
BadGC
  A value for a GContext argument does not name a defined GContext.

## See Also

XCreateGC(3X11) , XQueryBestSize(3X11) , XSetArcMode(3X11) , XSetClipOrigin(3X11) , XSetFillStyle(3X11) , XSetLineAttributes(3X11) , XSetState(3X11) , XSetTile(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Diagnostics
- See Also